import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

/* Layout */
import Layout from '../layout/Layout'

/**
* hidden: true                   if `hidden:true` will not show in the sidebar(default is false)
* alwaysShow: true               if set true, will always show the root menu, whatever its child routes length
*                                if not set alwaysShow, only more than one route under the children
*                                it will becomes nested mode, otherwise not show the root menu
* redirect: noredirect           if `redirect:noredirect` will no redirect in the breadcrumb
* name:'router-name'             the name is used by <keep-alive> (must set!!!)
* meta : {
    title: 'title'               the name show in submenu and breadcrumb (recommend set)
    icon: 'svg-name'             the icon show in the sidebar,
  }
**/

export const constantRouterMap = [
  { path: '/login',
    meta: { title: '登录', noCache: true },
    component: () => import('@/views/login'),
    hidden: true
  },
  { path: '/display',
    meta: { title: '大屏显示', noCache: true },
    component: () => import('@/views/display'),
    hidden: true
  },
  { path: '/daping',
    meta: { title: '大屏显示', noCache: true }, component: () => {
		var user = Vue.$state.state.user.user;
		var username = user.username;
		if(user.job === 'panoramascreen'){
			return import('@/views/LargeScreenCM')
		}else if(username === '18099968088'){
			return import('@/views/daping_video')
		}else if(username === 'sanshisituan'){		// new
			return import('@/views/Screen/daping_video_plus')
		}else if(username === 'zhuyang'){
			return import('@/views/Screen/daping_zhuyang')
		}else if(username === '15190039698' || username === '18606411236' || username === '18553836555' || username === 'jilian' || username === '18116587783' || username === '18694980288'){
			return import('@/views/Screen/daping_e1')
		}else if(username === '18956069932' || username === '15956983748'){
			return import('@/views/Screen/hfht_1')
		}else if(username === '18607009876'){
			return import('@/views/Screen/gxny')
		}else if(username === '二马坊'){
			return import('@/views/Screen/emf')
		}else{
			return import('@/views/daping')
		};
    },
    hidden: true
  },
  {
    path: '/404',
    component: () => import('@/views/features/404'),
    hidden: true
  },
  {
    path: '/401',
    component: () => import('@/views/features/401'),
    hidden: true
  },
  {
    path: '/redirect',
    component: Layout,
    hidden: true,
    children: [
      {
        path: '/redirect/:path*',
        component: () => import('@/views/features/redirect')
      },

      {
        path: '/currentData',
        component: () => import('@/views/smart/currentData/currentData'),
      },
    ]
  },
  {
    path: '/',
    component: Layout,
    redirect: 'dashboard',
    children: [
      {
        path: 'dashboard',
        component: () => import('@/views/home'),
        name: '首页',
        meta: { title: '首页', icon: 'index', noCache: true, affix: true }
      }
    ]
  },
  {
    path: '/user',
    component: Layout,
    hidden: true,
    redirect: 'noredirect',
    children: [
      {
        path: 'center',
        component: () => import('@/views/system/user/center'),
        name: '个人中心',
        meta: { title: '个人中心', icon: 'user' }
      }
    ]
  },
  {
    path: '/linkset',
    component: Layout,
    hidden: true,
    redirect: 'noredirect',
    children: [
      {
        path: 'index',
        component: () => import('@/views/linkset'),
        name: '超链接设置',
        meta: { title: '超链接设置' }
      }
    ]
  },
  {
    path: '/monitor',
    component: Layout,
    hidden: true,
    redirect: 'noredirect',
    children: [
      {
        path: 'index',
        component: () => import('@/views/monitor'),
        name: '视频监控',
        meta: { title: '视频监控' }
      }
    ]
  },
  {
    path: '/title',
    component: Layout,
    hidden: true,
    redirect: 'noredirect',
    children: [
      {
        path: 'index',
        component: () => import('@/views/title'),
        name: '可视化大屏标题',
        meta: { title: '可视化大屏标题' }
      }
    ]
  },
	{
        path: "/demoScreen",
		meta: { title: "数据大屏", noCache: true },
        hidden: true
    },
  // { path: '*', redirect: '/404', hidden: true }
]

export default new Router({
  mode: 'history',
  scrollBehavior: () => ({ y: 0 }),
  routes: constantRouterMap
})
